Security Enhanced Linux Reference Policy

# Layer: admin

## Module: firstboot

Tunables Interfaces

### Description:

Initial system configuration utility.

### Tunables:

firstboot_manage_all_user_content

##### Default value

false

##### Description

Grant the firstboot domains manage rights on all user content

firstboot_manage_generic_user_content

##### Default value

false

##### Description

Grant the firstboot domains manage rights on generic user content

firstboot_read_all_user_content

##### Default value

false

##### Description

Grant the firstboot domains read access to all user content

firstboot_read_generic_user_content

##### Default value

true

##### Description

Grant the firstboot domains read access to generic user content

Return

### Interfaces:

firstboot_domtrans( domain )

##### Summary

Execute firstboot in the firstboot domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

firstboot_dontaudit_rw_pipes( domain )

##### Summary

Do not audit attemps to read and write firstboot unnamed pipes.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

firstboot_dontaudit_rw_stream_sockets( domain )

##### Summary

Do not audit attemps to read and write firstboot unix domain stream sockets.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

firstboot_dontaudit_use_fds( domain )

##### Summary

Do not audit attempts to inherit firstboot file descriptors.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

firstboot_run( domain , role )

##### Summary

Execute firstboot in the firstboot domain, and allow the specified role the firstboot domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | Role allowed access.

firstboot_rw_pipes( domain )

##### Summary

Read and Write firstboot unnamed pipes.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

firstboot_use_fds( domain )

##### Summary

Inherit and use firstboot file descriptors.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

firstboot_write_pipes( domain )

##### Summary

Write firstboot unnamed pipes.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return